package com.ywt.mg.domain.models.enums;

/**
 * 医生认证方式：0-后台导入，1-个人
 */
public enum DoctorOriginEnum {
    Mg("后台", 0),
    Personal("个人", 1);

    private final String displayName;

    private int value = 0;

    DoctorOriginEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static DoctorOriginEnum valueOf(int value) {
        switch (value) {
            case 0:
                return Mg;
            case 1:
                return Personal;
            default:
                return Mg;
        }
    }

}
